<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sitemap_admin.php
| Version: 2.51
| Author: Arda Klda (SoulSmasher)
| Web: http://www.soulsmasher.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require "../../maincore.php";

require_once THEMES."templates/admin_header.php";
include INFUSIONS."sitemapxml/infusion_db.php";
require_once INFUSIONS."sitemapxml/sitemap_functions.php";

/* already included in sitemap_functions.php - sitemap_functions.php de zaten ekli
if (file_exists(INFUSIONS."sitemapxml/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."sitemapxml/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."sitemapxml/locale/English.php";
}*/
if (!checkrights("XM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

add_to_title(" - ".$locale['smxml_01']);

if (isset($_POST['save'])) {
$threads_limit = isNum($_POST['threads_limit'])?$_POST['threads_limit']:0; //deer illa ki bir say olmaldr - value has to be an integer
$update_interval = isNum($_POST['update_interval'])?$_POST['update_interval']:86400; //deer illa ki bir say olmaldr - value has to be an integer
$site_url=stripinput($_POST['site_url']).(strrchr($_POST['site_url'],"/") != "/" ? "/" : ""); //for http://www. issues


	$result=dbquery("UPDATE ".DB_SITEMAPXML." SET
	update_interval='".$update_interval."',
	site_url='".$site_url."',
	news_enabled='".$_POST['news_enabled']."',
	news_changefreq='".$_POST['news_changefreq']."', 
	news_priority='".$_POST['news_priority']."',
	newscats_enabled='".$_POST['newscats_enabled']."',
	newscats_changefreq='".$_POST['newscats_changefreq']."', 
	newscats_priority='".$_POST['newscats_priority']."',
	articlecats_enabled='".$_POST['articlecats_enabled']."',
	articlecats_changefreq='".$_POST['articlecats_changefreq']."', 
	articlecats_priority='".$_POST['articlecats_priority']."', 
	articles_enabled='".$_POST['articles_enabled']."',
	articles_changefreq='".$_POST['articles_changefreq']."', 
	articles_priority='".$_POST['articles_priority']."',
	profiles_enabled='".$_POST['profiles_enabled']."',
	profiles_changefreq='".$_POST['profiles_changefreq']."', 
	profiles_priority='".$_POST['profiles_priority']."',
	photoalbums_enabled='".$_POST['photoalbums_enabled']."',
	photoalbums_changefreq='".$_POST['photoalbums_changefreq']."', 
	photoalbums_priority='".$_POST['photoalbums_priority']."',
	photos_enabled='".$_POST['photos_enabled']."',
	photos_changefreq='".$_POST['photos_changefreq']."', 
	photos_priority='".$_POST['photos_priority']."',
	custompages_enabled='".$_POST['custompages_enabled']."',
	custompages_changefreq='".$_POST['custompages_changefreq']."', 
	custompages_priority='".$_POST['custompages_priority']."', 
	faqcats_enabled='".$_POST['faqcats_enabled']."',
	faqcats_changefreq='".$_POST['faqcats_changefreq']."', 
	faqcats_priority='".$_POST['faqcats_priority']."', 
	downloadcats_enabled='".$_POST['downloadcats_enabled']."',
	downloadcats_changefreq='".$_POST['downloadcats_changefreq']."', 
	downloadcats_priority='".$_POST['downloadcats_priority']."',
	downloads_enabled='".$_POST['downloads_enabled']."',
	downloads_changefreq='".$_POST['downloads_changefreq']."', 
	downloads_priority='".$_POST['downloads_priority']."', 
	weblinkcats_enabled='".$_POST['weblinkcats_enabled']."',
	weblinkcats_changefreq='".$_POST['weblinkcats_changefreq']."', 
	weblinkcats_priority='".$_POST['weblinkcats_priority']."',
	forums_enabled='".$_POST['forums_enabled']."',
	forums_changefreq='".$_POST['forums_changefreq']."', 
	forums_priority='".$_POST['forums_priority']."',
	threads_enabled='".$_POST['threads_enabled']."',
	threads_changefreq='".$_POST['threads_changefreq']."', 
	threads_priority='".$_POST['threads_priority']."', 
	threads_limit='".$threads_limit."',
	kroaxcats_enabled='".$_POST['kroaxcats_enabled']."',
	kroaxcats_changefreq='".$_POST['kroaxcats_changefreq']."',
	kroaxcats_priority='".$_POST['kroaxcats_priority']."',
	kroaxvideos_enabled='".$_POST['kroaxvideos_enabled']."',
	kroaxvideos_changefreq='".$_POST['kroaxvideos_changefreq']."',
	kroaxvideos_priority='".$_POST['kroaxvideos_priority']."',
	varcadecats_enabled='".$_POST['varcadecats_enabled']."',
	varcadecats_changefreq='".$_POST['varcadecats_changefreq']."',
	varcadecats_priority='".$_POST['varcadecats_priority']."',
	varcadegames_enabled='".$_POST['varcadegames_enabled']."',
	varcadegames_changefreq='".$_POST['varcadegames_changefreq']."',
	varcadegames_priority='".$_POST['varcadegames_priority']."',
	pdpcats_enabled='".$_POST['pdpcats_enabled']."',
	pdpcats_changefreq='".$_POST['pdpcats_changefreq']."',
	pdpcats_priority='".$_POST['pdpcats_priority']."',
	pdpdownloads_enabled='".$_POST['pdpdownloads_enabled']."',
	pdpdownloads_changefreq='".$_POST['pdpdownloads_changefreq']."',
	pdpdownloads_priority='".$_POST['pdpdownloads_priority']."',
	tiblogsystem_enabled='".$_POST['tiblogsystem_enabled']."',
	tiblogsystem_changefreq='".$_POST['tiblogsystem_changefreq']."',
	tiblogsystem_priority='".$_POST['tiblogsystem_priority']."'
	");
	
	if ($result) {
	redirect(FUSION_SELF.$aidlink."&amp;update=settingsok");
	} else {
	redirect(FUSION_SELF.$aidlink."&amp;update=settingsnotok");
	}
}


if (isset($_GET['force']) && $_GET['force']==1) {
	if (make_sitemapxml()) {
	redirect(FUSION_SELF.$aidlink."&amp;update=ok");
	} else {
	redirect(FUSION_SELF.$aidlink."&amp;update=notok");
	}
}


if (isset($_GET['update'])) {
	if ($_GET['update']=="ok") {
	opentable($locale['smxml_06']);
	echo $locale['smxml_07'];
	closetable();
	} else if ($_GET['update']=="notok"){
	opentable($locale['smxml_08']);
	echo $locale['smxml_09'];
	closetable();
	} else if ($_GET['update']=="settingsok"){
	opentable($locale['smxml_06']);
	echo $locale['smxml_17'];
	closetable();
	} else if ($_GET['update']=="settingsok"){
	opentable($locale['smxml_08']);
	echo $locale['smxml_18'];
	closetable();
	}
}

$link_id=""; $link_url=""; $link_priority=""; $link_frequency="";
if (isset($_GET['action']) && isset($_GET['id']) && isnum($_GET['id'])) {
$action=$_GET['action'];
	if ($action=="edit") {
	$result=dbquery("SELECT * FROM ".DB_SITEMAPXML_CUSTOMLINKS." WHERE link_id='".$_GET['id']."'");
	$data=dbarray($result);
	$link_id=$data['link_id'];
	$link_url=$data['link_url'];
	$link_priority=$data['link_priority'];
	$link_frequency=$data['link_frequency'];
	} else if ($action=="delete") {
	$result=dbquery("DELETE FROM ".DB_SITEMAPXML_CUSTOMLINKS." WHERE link_id='".$_GET['id']."'");
	echo "<div style='width: 70%; text-align: center; margin: 0px auto' class='tbl'>".($result?$locale['smxml_117']:$locale['smxml_118'])."</div>";
	} else {
	redirect(FUSION_SELF.$aidlink);
	}
}


if (isset($_GET['linkresult'])) {
$linkresult=$_GET['linkresult'];
echo "<div style='width: 70%; text-align: center; margin: 0px auto' class='tbl'>\n";
	if ($linkresult=="urlblank") {
	echo $locale['smxml_119'];
	} else if ($linkresult=="updatedone") {
	echo $locale['smxml_120'];
	} else if ($linkresult=="updatenotdone") {
	echo $locale['smxml_121'];
	} else if ($linkresult=="insertdone") {
	echo $locale['smxml_122'];
	} else if ($linkresult=="insertnotdone") {
	echo $locale['smxml_123'];
	}
	
echo "</div>\n";
}


if (isset($_POST['savelink'])) {
$link_id=$_POST['link_id'];
$link_url=!empty($_POST['link_url'])?stripinput($_POST['link_url']):"";
$link_frequency=$_POST['link_frequency'];
$link_priority=$_POST['link_priority'];

if ($_POST['link_url']=="") { redirect(FUSION_SELF.$aidlink."&amp;linkresult=urlblank"); }
	if (isset($_POST['link_id'])) {
	$result=dbquery("UPDATE ".DB_SITEMAPXML_CUSTOMLINKS." SET link_url='".$link_url."', link_priority='".$link_priority."', link_frequency='".$link_frequency."' WHERE link_id='".$link_id."'");
	redirect(FUSION_SELF.$aidlink."&amp;linkresult=".($result?"updatedone":"updatenotdone"));
	} else {
	$result=dbquery("INSERT INTO ".DB_SITEMAPXML_CUSTOMLINKS." (link_url, link_frequency, link_priority) VALUES ('".$link_url."', '".$link_frequency."', '".$link_priority."')");
	redirect(FUSION_SELF.$aidlink."&amp;linkresult=".($result?"insertdone":"insertnotdone"));
	}
}

opentable($locale['smxml_01']);
echo "<div style='width: 70%; text-align: center; margin: 0px auto;'>\n";

echo '<div style="float: right; width: 200px;"><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="6410325">
<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>'.$locale['smxml_124'].'</div>';

echo $locale['smxml_02']."<br />\n".showdate("longdate",filemtime(BASEDIR."sitemap.xml"))."<br />\n";
echo "<a href='".BASEDIR."sitemap.xml' target='_blank'>".$locale['smxml_03']."</a><br />";
echo "<a href='".FUSION_SELF.$aidlink."&amp;force=1'>".$locale['smxml_04']."</a><br /><br />\n";

echo "<a href='http://www.sitemapwriter.com/notify.php?crawler=all&amp;url=".$settings['siteurl']."sitemap.xml' target='_blank'>".$locale['smxml_05']."</a>\n";

echo "<hr style='margin: 5px;' />";

echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."&amp;update=settings'>";
echo "<table cellpadding='0' cellspacing='0' border='0' width='100%' align='center'>";

echo "<tr><td align='left' class='tbl1' width='50%'><small>".$locale['smxml_49']."</small></td>";
echo "<td align='left' class='tbl1' width='50%'><input type='text' name='update_interval' value='".$sitemapsettings['update_interval']."' class='textbox' style='width: 150px;' /></td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_125']."</td>\n";
echo "<td align='left' class='tbl1' width='50%'><input type='text' name='site_url' value='".$sitemapsettings['site_url']."' class='textbox' style='width: 150px;' /></td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_56']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("news_enabled",$sitemapsettings['news_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_20']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("news_priority",$sitemapsettings['news_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_21']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("news_changefreq",$sitemapsettings['news_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_57']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("newscats_enabled",$sitemapsettings['newscats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_22']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("newscats_priority",$sitemapsettings['newscats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_23']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("newscats_changefreq",$sitemapsettings['newscats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_58']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("articlecats_enabled",$sitemapsettings['articlecats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_24']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("articlecats_priority",$sitemapsettings['articlecats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_25']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("articlecats_changefreq",$sitemapsettings['articlecats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_59']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("articles_enabled",$sitemapsettings['articles_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_26']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("articles_priority",$sitemapsettings['articles_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_27']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("articles_changefreq",$sitemapsettings['articles_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_84']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("profiles_enabled",$sitemapsettings['profiles_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_85']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("profiles_priority",$sitemapsettings['profiles_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_86']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("profiles_changefreq",$sitemapsettings['profiles_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_66']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("photoalbums_enabled",$sitemapsettings['photoalbums_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_67']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("photoalbums_priority",$sitemapsettings['photoalbums_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_68']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("photoalbums_changefreq",$sitemapsettings['photoalbums_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_69']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("photos_enabled",$sitemapsettings['photos_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_70']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("photos_priority",$sitemapsettings['photos_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_71']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("photos_changefreq",$sitemapsettings['photos_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_60']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("custompages_enabled",$sitemapsettings['custompages_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_28']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("custompages_priority",$sitemapsettings['custompages_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_29']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("custompages_changefreq",$sitemapsettings['custompages_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_61']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("faqcats_enabled",$sitemapsettings['faqcats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_30']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("faqcats_priority",$sitemapsettings['faqcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_31']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("faqcats_changefreq",$sitemapsettings['faqcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_62']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("downloadcats_enabled",$sitemapsettings['downloadcats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_32']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("downloadcats_priority",$sitemapsettings['downloadcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_33']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("downloadcats_changefreq",$sitemapsettings['downloadcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_63']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("downloads_enabled",$sitemapsettings['downloads_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_34']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("downloads_priority",$sitemapsettings['downloads_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_35']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("downloads_changefreq",$sitemapsettings['downloads_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_64']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("weblinkcats_enabled",$sitemapsettings['weblinkcats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_36']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("weblinkcats_priority",$sitemapsettings['weblinkcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_37']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("weblinkcats_changefreq",$sitemapsettings['weblinkcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_65']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("forums_enabled",$sitemapsettings['forums_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_38']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("forums_priority",$sitemapsettings['forums_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_39']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("forums_changefreq",$sitemapsettings['forums_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_66']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("threads_enabled",$sitemapsettings['threads_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_40']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("threads_priority",$sitemapsettings['threads_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_41']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("threads_changefreq",$sitemapsettings['threads_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'><small>".$locale['smxml_42']."</small></td>";
echo "<td align='left' class='tbl1' width='50%'><input type='text' name='threads_limit' value='".$sitemapsettings['threads_limit']."' class='textbox' style='width: 150px;' /></td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_46']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("kroaxcats_enabled",$sitemapsettings['kroaxcats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_47']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("kroaxcats_priority",$sitemapsettings['kroaxcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_48']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("kroaxcats_changefreq",$sitemapsettings['kroaxcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_78']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("kroaxvideos_enabled",$sitemapsettings['kroaxvideos_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_79']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("kroaxvideos_priority",$sitemapsettings['kroaxvideos_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_80']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("kroaxvideos_changefreq",$sitemapsettings['kroaxvideos_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_50']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("varcadecats_enabled",$sitemapsettings['varcadecats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_51']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("varcadecats_priority",$sitemapsettings['varcadecats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_52']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("varcadecats_changefreq",$sitemapsettings['varcadecats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_53']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("varcadegames_enabled",$sitemapsettings['varcadegames_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_54']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("varcadegames_priority",$sitemapsettings['varcadegames_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_55']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("varcadegames_changefreq",$sitemapsettings['varcadegames_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_72']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("pdpcats_enabled",$sitemapsettings['pdpcats_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_73']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("pdpcats_priority",$sitemapsettings['pdpcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_74']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("pdpcats_changefreq",$sitemapsettings['pdpcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_75']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makeyesnoform("pdpdownloads_enabled",$sitemapsettings['pdpdownloads_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_76']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makepriorityform("pdpdownloads_priority",$sitemapsettings['pdpdownloads_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl1'>".$locale['smxml_77']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makefrequencyform("pdpdownloads_changefreq",$sitemapsettings['pdpdownloads_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl2' width='50%'>".$locale['smxml_81']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makeyesnoform("tiblogsystem_enabled",$sitemapsettings['tiblogsystem_enabled'])."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_82']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("tiblogsystem_priority",$sitemapsettings['tiblogsystem_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_83']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("tiblogsystem_changefreq",$sitemapsettings['tiblogsystem_changefreq'])."</td></tr>\n";

echo "<tr><td align='center' colspan='2' class='tbl1' width='100%'><input type='submit' name='save' value='".$locale['smxml_43']."' class='button' /></td></tr>\n";

echo "</table></form>\n";

echo "</div>";
closetable();

echo "<a href='#' id='customsection'></a>";
opentable($locale['smxml_100']);
echo $locale['smxml_101']."<br />";

echo "<form name='inputform2' method='post' action='".FUSION_SELF.$aidlink."&amp;custompage=update'>\n";
echo "<div style='width: 70%; text-align: center; margin: 0px auto;'>\n";
echo "<table cellpadding='0' cellspacing='0' border='0' align='center'><tr>\n";
echo "<td align='left' class='tbl1' width='40%'>".$locale['smxml_102']."</td>";
echo "<td align='left' class='tbl1' width='60%'><input type='text' name='link_url' value='".$link_url."' class='textbox' /></td></tr>";
echo "<tr><td align='left' class='tbl2' width='40%'>".$locale['smxml_103']."</td>";
echo "<td align='left' class='tbl2' width='60%'>".makepriorityform("link_priority",$link_priority)."</td></tr>\n";
echo "<tr><td align='left' class='tbl1' width='40%'>".$locale['smxml_104']."</td>";
echo "<td align='left' class='tbl1' width='60%'>".makefrequencyform("link_frequency",$link_frequency)."</td></tr>\n";
if ($link_id !="") { echo "<input type='hidden' name='link_id' value='".$link_id."' />"; }
echo "<tr><td align='center' colspan='2' class='tbl1' width='100%'><input type='submit' name='savelink' value='".$locale['smxml_105']."' class='button' /></td></tr>\n";
echo "</table>\n</div>\n</form>\n";
closetable();

opentable($locale['smxml_110']);

echo "<table cellpadding='0' cellspacing='0' border='0' width='100%' align='center'><tr>\n";
echo "<td align='left' width='50%' class='tbl'>".$locale['smxml_111']."</td>\n";
echo "<td align='left' width='25%' class='tbl'>".$locale['smxml_112']."</td>\n";
echo "<td align='left' width='25%' class='tbl'>".$locale['smxml_113']."</td></tr>";

$result=dbquery("SELECT * FROM ".DB_SITEMAPXML_CUSTOMLINKS." ORDER BY link_url ASC");
if (dbrows($result)) {
$i=0;
	while ($data=dbarray($result)) {
	echo "<tr><td align='left' width='50%' class='tbl".(!($i%2)?1:2)."'><a href='".XMLSITEURL.$data['link_url']."' target='_blank'>".trimlink($data['link_url'],32)."</a></td>\n";
	echo "<td align='left' width='25%' class='tbl".(!($i%2)?1:2)."'>".$locale['smxml_16'][$data['link_frequency']]." - ".$data['link_priority']."</td>\n";
	echo "<td align='left' width='25%' class='tbl".(!($i%2)?1:2)."'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;id=".$data['link_id']."#customsection'>".$locale['smxml_114']."</a> ".THEME_BULLET." <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;id=".$data['link_id']."#customsection'>".$locale['smxml_115']."</a></td></tr>";
	$i++;
	}
} else {
	echo "<tr><td align='center' colspan='3'>".$locale['smxml_116']."</td></tr>";
}

echo "</table>";
closetable();

require_once THEMES."templates/footer.php";
?>